name: Steve Slaughter
locality: 
country: Remote
role: <a href="/job-families/sales/technical-account-manager/">Technical Account Manager</a>
reports_to: taylorlund
picture: stephenslaughter.jpg
pronouns: He/Him/His
pronunciation: Steevun Slawter
twitter:
linkedin: stevewslaughter
gitlab: swslaughter
departments:
  - TAM
specialty:
expertise:
story: '' 
